<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
<!--1390114136-->
  <script type="text/javascript">
  document.location.href = "login.php";
  </script>
  <?php
  exit();
}
$page_title = 'Админка';
require_once('conf/head.php');
require_once('conf/top.php');
$usid = $_SESSION['id'];
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();
if($usst['admin']<>'1'){header('location: /');}
switch($_GET[mod]){
default:
echo"Здесь находятся кейсы<br/>";
break;
case '1':
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '".intval($_GET['id'])."'"),0) == true){
$ank =$dbc->query("SELECT * FROM `users` WHERE `id`  = '".intval($_GET['id'])."'")->fetch_assoc();
}
echo "<div class='redactor'><form class='player' method='post' action='cpanel.php?mod=2&id=$ank[id]'>";
echo"<div class='dot'><center><font color='#e8c25d'><i>Данные:</font></i></center>
Ник:<br/>
<input class='input' type=\"text\" value=\"$ank[nick]\" size=\"20\" name=\"nick\"/><br/>
Должность (0-3):<br/>
<input class='input' type=\"text\" value=\"$ank[admin]\" size=\"20\" name=\"admin\"/><br/>
Группировка: (долг,свобода,одиночки)<br/>
<input class='input' type=\"text\" value=\"$ank[gruppa]\" size=\"20\" name=\"gruppa\"/><br/></div>
Уровень:<br/>
<input class='input' type=\"text\" value=\"$ank[lvl]\" size=\"20\" name=\"lvl\"/><br/>
Рубли:<br/>
<input class='input' type=\"text\" value=\"$ank[money]\" size=\"20\" name=\"money\"/><br/>
Хабар:<br/>
<input class='input' type=\"text\" value=\"$ank[habar]\" size=\"20\" name=\"habar\"/><br/>
<input class=\"button\" type=\"submit\" value=\"Изменить\" /></form></div>";

break;

case '2':
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '".intval($_GET['id'])."'"),0) == true){
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`  = '".intval($_GET['id'])."'"));
}
  if(isset($_POST['nick']) 
  && isset($_POST['admin'])
  && isset($_POST['gruppa']) 
  && isset($_POST['lvl'])
  && isset($_POST['money']) 
  && isset($_POST['habar'])){

if(!isset($err)) {
mysql_query("UPDATE `users` SET
        `nick` = '$_POST[nick]',
        `admin` = '$_POST[admin]',
        `gruppa` = '$_POST[gruppa]',
        `lvl` = '$_POST[lvl]',
        `money` = '$_POST[money]',
        `habar` = '$_POST[habar]' WHERE `id` = '$ank[id]' LIMIT 1");
header('Location: /adminka.php');
echo"Изменения приняты!</br><a href=\"adminka.php?\">Назад</a>";
exit();
}else{
header('Location: /adminka.php');
echo"Ошибочка!</br><a href=\"adminka.php?\">Назад</a>";
// Вывод ошибки 
exit();
} 
}
break;

case '3':
if(empty($_POST[uip])){
echo "<form action='cpanel.php?mod=3' method='POST'>";
echo"<div class='redactor'><font color='#ffc22b'> <b>Введите ip:</b></font></p>
<input class='input' type=\"text\" value=\"$_GET[uip]\" size=\"20\" name=\"uip\"/><br/>";
echo '<input class="button" type="submit" value="Найти" /></form>';
}else{
if(!empty($_GET[uip])){$_POST[uip] = $_GET[uip];}
$req = mysql_query("SELECT * FROM `users` WHERE `uip`='$_POST[uip]'");
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){echo"<div class='redactor'><font color='#ffc22b'><center> <b>Результаты поиска:</b></font></center>
<span class='yellow'>Персонажи </span><span class='white'>($avto)</span> <span class='darkkhaki'>(Ip=<b>$_POST[uip]</b>): </span></p>";
While($item = mysql_fetch_array($req))
{
echo"<span class='white'>$i.</span> [$item[lvl]ур]<a style='text-decoration:none;' href=\"profile.php?id==$item[id]\">$item[nick] </a>";
echo" [<a style='text-decoration:none;' href=\"mod-panel.php?id=$item[id]\"><span class='red'>забанить</span></a>]</br>";$i++;}}
echo"<div class='r2'><img src='inc/arrow.png' alt='i'><a  style='text-decoration:none;' href=\"adminka.php?\">Назад</a></div>";
}
break;

case '5':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=5" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>
Картинка<br/>
<input class='input' type=\"text\" size=\"10\" name=\"screen\"/><br/>
Отрядный монстр или нет(0-1)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"clan\"/><br/>
Максимальное количество людей<br/>
<input class='input' type=\"text\" size=\"10\" name=\"max_people\"/><br/>
Максимальное здоровье<br/>
<input class='input' type=\"text\" size=\"10\" name=\"max_hp\"/><br/>
Броня<br/>
<input class='input' type=\"text\" size=\"10\" name=\"bronya\"/><br/>
Урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"yron\"/><br/>
";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{mysql_query("INSERT INTO
        `monsters` SET
        `name` = '$_POST[name]',
        `screen` = '$_POST[screen]',
        `clan` = '$_POST[clan]'");
echo'Монстр '.$_POST[name].' создан! Чтобы создать точно такого же рядом ОБНОВИТЕ СТРАНИЦУ!<br/>';}
echo'<a href="javascript:history.go(-1)">Назад</a>';break;

case 'prim':
if (isset($_GET['close'])){mysql_query("UPDATE `users` SET `prim` = 'off' WHERE `id` = '$usid'");header('Location: /');}
break;
case '7':
if(empty($_POST[name])){
$req = mysql_query("SELECT * FROM `zametka` LIMIT 1");
$mag = mysql_fetch_array($req);
echo '<form action="cpanel.php?mod=7" method="post">';
echo"Текст примечания:<br/>
<textarea name=\"name\" cols=\"30\" rows=\"10\">$mag[name]</textarea><br/>
Статус:<br/>
<select name=\"status\"><br/>
<option value=\"on\">on</option><br/>
<option value=\"off\">off</option></br>
<input class=\"button\" type=\"submit\" value=\"Cохранить\" /></form>";
}else{

$b = html_entity_decode($_POST[name]);
mysql_query("UPDATE `users` SET `prim` = '$_POST[status]'");
mysql_query("UPDATE `zametka` SET `name` = '".html_entity_decode($_POST[name])."',`status` = '$_POST[status]', `log`='1'");
echo'Примечание</br> "'.$_POST[name].'" </br>добавлено, изменено!<br/>';
echo"<a href=\"adm_panel.php?\">Назад</a>";}
break;
case '8':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=8" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>
Статус(on-off)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"status\"/><br/>
";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{mysql_query("INSERT INTO
        `zametka` SET
        `name` = '$_POST[name]',
        `status` = '$_POST[status]',
        `log` = '$usid'");

echo'Монстр '.$_POST[name].' создан! Чтобы создать точно такого же рядом ОБНОВИТЕ СТРАНИЦУ!<br/>';}
echo'<a href="javascript:history.go(-1)">Назад</a>';
break;


case 'library':
if(empty($_GET[id])){
echo"Ошибка не выбрана статья!";
include_once 'conf/navig.php';
include_once 'conf/foot.php';
exit;
}
$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
$lib = mysql_fetch_array($req);
if($avto==0){echo"Ошибка!";
include_once 'conf/navig.php';
include_once 'conf/foot.php';
exit;}
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=library&id='.$_GET[id].'" method="post">';
echo"Название:<br/>
<input class='input' type=\"text\" value=\"$lib[title]\" size=\"20\" name=\"name\"/><br/>";
echo"Текст:<br/>
<textarea name=\"text\" cols=\"30\" rows=\"10\">$lib[text]</textarea><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
$b = html_entity_decode($_POST[text]);
mysql_query("UPDATE `library` SET
        `title` = '$_POST[name]',
        `text` = '$b',
        `author` = '$usst[nick]',`time`='".date("d.m.y")."' WHERE `id`='$_GET[id]'");
echo'<div class="redactor"><font color="#ffc22b"><center> <b>Статья '.$_POST[name].' исправлена!</b></font></center>';
echo"<div class='r2'><img src='inc/arrow.png' alt='i'><a style='text-decoration:none;' href=\"cpanel.php?mod=liblist\">Назад</a></div>";}
break;

case 'newlib':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=newlib" method="post">';
echo"Название:<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>";
echo'Текст:<br/>
<textarea name="text" cols="30" rows="10"></textarea><br/>';
echo '<input class="button" type="submit" value="Добавить" /></form>
<div class="r2"><img src="inc/arrow.png" ><a style="text-decoration:none;" href=\'cpanel.php?mod=liblist\'>Назад</a></div>';
}else{
mysql_query("INSERT INTO `library` SET
        `title` = '$_POST[name]',
        `text` = '$_POST[text]',
        `author` = '$log',`time`='".date("d.m.y")."'");
echo'<div class="redactor"><font color="#ffc22b"><center> <b>Статья '.$_POST[name].' написана!</b></font></center>';
echo"<div class='r2'><img src='inc/arrow.png' alt='i'><a  style='text-decoration:none;' href=\"adminka.php?\">Назад</a></div>";}
break;

case 'liblist':
$req = mysql_query("SELECT * FROM `library`");
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<div class='r6'><img src='img/lib.png' alt='i'> <a  style='text-decoration:none;' href=\"library.php?id=$mag[id]&mod=read\">
$mag[title]</a></b> [<a  style='text-decoration:none;' href=\"cpanel.php?mod=del&id=$mag[id]\"><span class='red'>удалить</span></a>][<a style='text-decoration:none;' href=\"cpanel.php?mod=library&id=$mag[id]\"><span class='darkkhaki'>изм.</span></a>]</div>";
}}else{
echo"<b>Нет статей</b><br/>";}
echo"</br><div class='r2'><img src='inc/arrow.png' alt='i'><a  style='text-decoration:none;' href=\"cpanel.php?mod=newlib\"><span class='net'>Добавить статью</span></a></div>
<div class='r2'><img src='inc/arrow.png' alt='i'><a style='text-decoration:none;' href=\"adminka.php?\">Назад</a></div>";
break;

case 'del':
if(empty($_GET[id])){
echo"Ошибка не выбрана статья!";
include_once 'conf/navig.php';
include_once 'conf/foot.php';
exit;}
$req = mysql_query("SELECT * FROM `library` where `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";
include_once 'conf/navig.php';
include_once 'conf/foot.php';
exit;}
mysql_query("DELETE FROM `library` WHERE `id`='$_GET[id]'");
echo'<div class="redactor"><font color="#ffc22b"><center> <b>Статья удалена!</font></center>';
echo"<div class='r2'><img src='inc/arrow.png' alt='i'><a href=\"adm_panel.php?\">Назад</a></div>";
break;
}
include_once 'conf/navig.php';
include_once 'conf/foot.php';
?>